# See https://pre-commit.com for more information
# See https://pre-commit.com/hooks.html for more hooks
repos:
  - repo: https://github.com/myint/autoflake
    rev: v2.2.1
    hooks:
      - id: autoflake
        args: ["-i", "--ignore-init-module-imports"]
  - repo: https://github.com/psf/black
    rev: 23.9.1
    hooks:
      - id: black

  - repo: https://github.com/pre-commit/mirrors-prettier
    rev: v3.0.3
    hooks:
      - id: prettier
        name: prettier + plugin-xml
        additional_dependencies:
          - "prettier@2.8.4"
          - "@prettier/plugin-xml@2.2.0"
        args:
          - --plugin=@prettier/plugin-xml

  - repo: https://github.com/pre-commit/pre-commit-hooks
    rev: v3.2.0
    hooks:
      - id: trailing-whitespace
      - id: end-of-file-fixer
      - id: check-yaml
      - id: check-added-large-files
      - id: check-merge-conflict
      - id: check-ast
      - id: double-quote-string-fixer
      - id: debug-statements
      - id: check-toml
      - id: check-json
      - id: check-xml
